import { SystemStatusMessageInfo } from '../AdaptableState/Common/SystemStatusMessageInfo';
/**
 * Provides access to System Status Module and associated state
 */
export interface SystemStatusApi {
    /**
     * Sets a new System Status message; appears in System Status toolbar, tool panel (and popup).
     */
    setSystemStatus(statusMessage: string, messageType: 'Success' | 'Info' | 'Warning' | 'Error', statusFurtherInformation?: string): void;
    /**
     * Sets an **Error** System Status Message
     */
    setErrorSystemStatus(statusMessage: string, furtherInformation?: string): void;
    /**
     * Sets a **Warning** System Status Message
     */
    setWarningSystemStatus(statusMessage: string, furtherInformation?: string): void;
    /**
     * Sets a **Success** System Status Message
     */
    setSuccessSystemStatus(statusMessage: string, furtherInformation?: string): void;
    /**
     * Sets an **Info** System Status Message
     */
    setInfoSystemStatus(statusMessage: string, furtherInformation?: string): void;
    /**
     * Opens Settings Panel with System Status section selected and visible
     */
    openSystemStatusSettingsPanel(): void;
    /**
     * Retrieves current System Status Message
     */
    getCurrentSystemStatusMessageInfo(): SystemStatusMessageInfo | undefined;
    /**
     * Deletes all System Status messages
     */
    deleteAllSystemStatusMessages(): void;
}
